ServletCategory (Groovy 5.0.0)

Package: groovy.servlet

## [Java] Class ServletCategory

- groovy.servlet.ServletCategory

-     public class ServletCategory
      extends Object

  Servlet support.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static Object` | `get(jakarta.servlet.ServletContext context, String key)`
    `` | `public static Object` | `get(jakarta.servlet.http.HttpSession session, String key)`
    `` | `public static Object` | `get(jakarta.servlet.ServletRequest request, String key)`
    `` | `public static Object` | `get(jakarta.servlet.jsp.PageContext context, String key)`
    `` | `public static Object` | `getAt(jakarta.servlet.ServletContext context, String key)`
    `` | `public static Object` | `getAt(jakarta.servlet.http.HttpSession session, String key)`
    `` | `public static Object` | `getAt(jakarta.servlet.ServletRequest request, String key)`
    `` | `public static Object` | `getAt(jakarta.servlet.jsp.PageContext context, String key)`
    `` | `public static void` | `putAt(jakarta.servlet.ServletContext context, String key, Object value)`
    `` | `public static void` | `putAt(jakarta.servlet.http.HttpSession session, String key, Object value)`
    `` | `public static void` | `putAt(jakarta.servlet.ServletRequest request, String key, Object value)`
    `` | `public static void` | `putAt(jakarta.servlet.jsp.PageContext context, String key, Object value)`
    `` | `public static void` | `set(jakarta.servlet.ServletContext context, String key, Object value)`
    `` | `public static void` | `set(jakarta.servlet.http.HttpSession session, String key, Object value)`
    `` | `public static void` | `set(jakarta.servlet.ServletRequest request, String key, Object value)`
    `` | `public static void` | `set(jakarta.servlet.jsp.PageContext context, String key, Object value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static Object get(jakarta.servlet.ServletContext context, String key)

    - #### public static Object get(jakarta.servlet.http.HttpSession session, String key)

    - #### public static Object get(jakarta.servlet.ServletRequest request, String key)

    - #### public static Object get(jakarta.servlet.jsp.PageContext context, String key)

    - #### public static Object getAt(jakarta.servlet.ServletContext context, String key)

    - #### public static Object getAt(jakarta.servlet.http.HttpSession session, String key)

    - #### public static Object getAt(jakarta.servlet.ServletRequest request, String key)

    - #### public static Object getAt(jakarta.servlet.jsp.PageContext context, String key)

    - #### public static void putAt(jakarta.servlet.ServletContext context, String key, Object value)

    - #### public static void putAt(jakarta.servlet.http.HttpSession session, String key, Object value)

    - #### public static void putAt(jakarta.servlet.ServletRequest request, String key, Object value)

    - #### public static void putAt(jakarta.servlet.jsp.PageContext context, String key, Object value)

    - #### public static void set(jakarta.servlet.ServletContext context, String key, Object value)

    - #### public static void set(jakarta.servlet.http.HttpSession session, String key, Object value)

    - #### public static void set(jakarta.servlet.ServletRequest request, String key, Object value)

    - #### public static void set(jakarta.servlet.jsp.PageContext context, String key, Object value)